JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::midi_ci::ResponderDelegate Class Referenceabstract
juce_midi_ci » ci

An interface for types that implement responses for certain message types. More...

`#include <juce_CIResponderDelegate.h>`

Inheritance diagram for juce::midi_ci::ResponderDelegate:

## Public Member Functions
| ResponderDelegate ()=default
virtual | ~ResponderDelegate ()=default
virtual bool | tryRespond (ResponderOutput &output, const Message::Parsed &message)=0
| If the message is processed successfully, and a response sent, then this returns true.

## Detailed Description

An interface for types that implement responses for certain message types.

## Constructor & Destructor Documentation

## ◆ ResponderDelegate()

juce::midi_ci::ResponderDelegate::ResponderDelegate | ( |  | ) |
| default

## ◆ ~ResponderDelegate()

virtual juce::midi_ci::ResponderDelegate::~ResponderDelegate | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ tryRespond()

virtual bool juce::midi_ci::ResponderDelegate::tryRespond | ( | ResponderOutput & | output,
|  | const Message::Parsed & | message )
| pure virtual

If the message is processed successfully, and a response sent, then this returns true.

Otherwise, returns false, allowing other ResponderDelegates to attempt to handle the message if necessary.

Implemented in juce::midi_ci::ProfileHost, and juce::midi_ci::PropertyHost.

The documentation for this class was generated from the following file:

- juce_CIResponderDelegate.h